#ifndef fileDialogDataStruct_H
#define fileDialogDataStruct_H

#include <Windows.h> // MAX_PATH

typedef struct fileDialogDataStruct {
    WCHAR filename[1000 * MAX_PATH]; // big buffer to support multiselect
    WCHAR directory[MAX_PATH];
    WCHAR title[MAX_PATH];
    DWORD owningWindow; // HWND as DWORD to be 32 and 64 bit compatible
    WCHAR filter[10 * MAX_PATH]; // there could be many filters
    DWORD filterIndex;
    BOOL trueForSave;
    BOOL trueForMultiSelect;
    BOOL trueForPromptOverwrite;

    DWORD fileDialogThreadId;
    BOOL fileDialogDidReturn;
    BOOL didPerformCroppedBaseNameHack; /* the open dialog cropps the default basename https://software.intel.com/en-us/forums/intel-visual-fortran-compiler-for-windows/topic/644328 */
} fileDialogData;

#endif
